Skip to main content
GET
/
communities
/
{id}
/
groups
Get community sub-groups
curl --request GET \
  --url https://wsapi.chat/communities/{id}/groups \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Instance-Id: <x-instance-id>'
[
  {
    "groupId": "<string>",
    "name": "<string>",
    "nameSetAt": "2023-11-07T05:31:56Z",
    "isAnnouncementGroup": true
  }
]

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Path Parameters

id
string
required

Community JID

Response

List of sub-groups

groupId
string

Group JID

name
string

Group name

nameSetAt
string<date-time>

When the group name was last set

isAnnouncementGroup
boolean

Whether this is the community's announcement group